Bug 1466853 - running mkosi without any configuration fails
running mkosi without any configuration fails
Product: Fedora
Classification: Fedora
Component: mkosi (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-30 10:45 EDT by Stefan Assmann
Modified: 2017-11-18 10:01 EST (History)
1 user (show)

See Also:
Fixed In Version: mkosi-2-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-11-18 10:01:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2017-06-30 10:45:04 EDT
Description of problem:
root@w541:~ > mkosi
          Distribution: fedora
               Release: 25

         Output Format: raw_gpt
                Output: /root/image.raw
       Output Checksum: n/a
      Output Signature: n/a
Output nspawn Settings: n/a
        XZ Compression: no

              Packages: none
    With Documentation: no
         Package Cache: none
           Extra Trees: none
          Build Script: none
         Build Sources: /root
        Build Packages: none
       nspawn Settings: none

              Bootable: no
        Root Partition: 1.0G
        Swap Partition: (disabled)
                   ESP: (disabled)
       /home Partition: (disabled)
        /srv Partition: (disabled)

              Checksum: no
                  Sign: no
               GPG Key: default
              Password: default
‣ Detaching namespace...
‣ Detaching namespace complete.
‣ Setting up package cache...
‣ Setting up package cache /root/.mkosi-h1f7xxxq completed.
‣ Setting up temporary workspace.
‣ Temporary workspace in /var/tmp/mkosi-9kkf8lxe is now set up.
‣ Creating partition table...
Traceback (most recent call last):
  File "/usr/bin/mkosi", line 1657, in <module>
  File "/usr/bin/mkosi", line 1653, in main
  File "/usr/bin/mkosi", line 1613, in build_stuff
    raw, tar = build_image(args, workspace, run_build_script=False)
  File "/usr/bin/mkosi", line 1542, in build_image
    raw = create_image(args, workspace.name)
  File "/usr/bin/mkosi", line 124, in create_image
    subprocess.run(["chattr", "+C", f.name], stdout=subprocess.DEVNULL, stderr=subprocess.DEVNULL, check=True)
  File "/usr/lib64/python3.5/subprocess.py", line 398, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['chattr', '+C', '/root/.mkosi-m53lhmz3']' returned non-zero exit status 1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run mkosi without any config

Actual results:
python error

Expected results:
create image file
Comment 1 Fedora End Of Life 2017-11-16 14:23:51 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-11-18 10:01:31 EST
This was fixed a while back, but I forgot to close this bug (upstream commit v1-4-g398d203a3b).

Note You need to log in before you can comment on or make changes to this bug.